> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete actions

> Deletes actions by their IDs, category, or provider



## OpenAPI

````yaml /api-reference/oda-actions-service-1.0.0.yml post /actions/commands/delete-actions
openapi: 3.0.1
info:
  title: oda-actions-service
  version: 1.0.0
servers: []
security: []
paths:
  /actions/commands/delete-actions:
    post:
      summary: Delete actions
      description: Deletes actions by their IDs, category, or provider
      operationId: deleteActions
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteActionsApi.DeleteActionsCommand'
        required: true
      responses:
        '200':
          description: Actions successfully deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteActionsApi.DeleteActionsResult'
components:
  schemas:
    DeleteActionsApi.DeleteActionsCommand:
      type: object
      properties:
        category:
          type: string
          nullable: true
        provider:
          type: string
          nullable: true
        ids:
          type: array
          nullable: true
          items:
            type: string
    DeleteActionsApi.DeleteActionsResult:
      required:
        - ids
        - message
        - success
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        ids:
          type: array
          items:
            type: string

````